<?php
include 'system/bd.php';
include 'system/cook.php';
include ("system/gzip.php");
if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
include 'system/head.php';
if($user[prava]<="2"){
header ("Location: index.php");
}
switch($_GET[mod]){
default:

echo'себе давать бан нельзя';

break;
case '1':


if (intval($_GET['id'])==$user['id']){
	header("Location: /moderka.php");
	exit;
}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id`='".intval($_GET['id'])."'"),0)){
	$us=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id`='".intval($_GET['id'])."'"));
/////////////////
$time=time();
mysql_query("delete from `block` where
`ban_time`<='$time' ");
////////////////

}else{
	header('Location: index.php?');
	exit;
}


if(empty($_POST[login])){
echo '<form action="moderka.php?mod=1&id='.$us[id].'" method="post">';

if($us[id]==1){
echo'Блокировать администратора нельзя.';
echo '<div class="line"></div>';
	echo ' <div class="block_link"> <a href="infa.php?id='.$us[id].'">
<img src="/img/images/foot.png" alt="*"/> Вернуться к '.$us[login].'</a></div>';
include 'system/foot.php';
exit;
}






echo"Кликуха:<br/>
<input class='input' type=\"text\" size=\"10\" value=\"$us[login]\" name=\"login\"/><br/>";

echo "Блокировка:<br/>
<select name=\"tip\">
<option value=\"1\">общения</option>
<option value=\"2\">игры</option>
</select><br/>";


echo"Причина:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"text\"/><br/>";

echo"Время:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>";

echo "Тип:<br/>
<select name=\"times\">
<option value=\"min\">Минут</option>
<option value=\"cha\">Часов</option>
</select><br/>";

echo'<input class="button" type="submit" value="Готово" /></form>';

}else{
if(strlen($_POST[text])<1){
echo'<center>вы не ввели причину или время.<hr></center>';
include 'system/foot.php';
exit;}
if(strlen($_POST[time])<1){
echo'<center>вы не ввели причину или время.<hr></center>';
include 'system/foot.php';
exit;}

if($us[id]==1){
echo'<img src="/pic/main/!.png" alt="*"/> Блокировать администратора нельзя.';
echo'<div class="ssl">';
	echo '<a class="navi" href="infa.php?id='.$us[id].'">&nbsp <img src="/pic/main/nozperehod.png" alt="*"/> Вернуться к '.$acc[login].'</a></div>';
include 'system/foot.php';
exit;
}




$req = mysql_query("SELECT * FROM `block` where `usr`='".mysql_real_escape_string($us['id'])."'");
$avto=mysql_num_rows($req);
if($avto==1){

echo'<div class="bottom" style="padding-bottom: 3px;"> На этом игроке уже есть молчанка</div>';
echo'<div class="line"></div>';
	echo ' <div class="block_link"> <a href="users.php?id='.$us[id].'"><img src="/img/foot/index.png" alt="*"/> Вернуться к '.$us[login].'</a></div>';
include 'system/foot.php';
exit;}

if($_POST[times]==sec){$_POST[time]=$_POST[time];}
if($_POST[times]==min){$_POST[time]=$_POST[time]*60;}
if($_POST[times]==cha){$_POST[time]=$_POST[time]*3600;}

$time_ban=time()+$_POST[time];
mysql_query("INSERT INTO
        `block` SET
        `usr` = '$us[id]',
        `text` = '$_POST[text]',
        `tip` = '$_POST[tip]',
        `nick` = '$user[id]',
        `ban_time` = '$time_ban'");

$dater = time();
$msg=stripslashes(htmlspecialchars($us[login]));
$msg2=stripslashes(htmlspecialchars($_POST[text]));
 

/////
echo' 
На персонажа <b>'.$msg.'</b> успешно наложена молчанка!<br>Причина:<b> '.$msg2.'</b>';
echo'<div class="line"></div>';
	echo ' <div class="block_link"> <a href="users.php?id='.$us[id].'">&nbsp <img src="/img/foot/index.png" alt="*"/> Вернуться к '.$us[login].'</a></div>';
///////////

$dater = time();
mysql_query("INSERT INTO `admin_log` SET  `msg` = '<a>$user[login]</a> забанил <a>$us[login]</a>
</br> причина <a>$_POST[text] </a>
</br> тип <a>$_POST[tip] </a>', `time` = '$dater'");


}


}

}else{
header ("Location: main.php");
}
include 'system/foot.php';
?>
